<template>
  <el-dialog width="800px" :title="title" v-model="show" append-to-body>
    <div v-dompurify-html="detail" class="mb-20px"></div>
  </el-dialog>
</template>

<script setup name="DialogSchoolInfo">
const title = ref('')
const show = ref(false)
const detail = ref('')

function open(info) {
  title.value = `【${info.schoolName}】详细信息`
  show.value = true
  detail.value = info.introduce || '该驾校暂未配置详细信息'
}

defineExpose({
  open
})
</script>

<style lang="scss" scoped></style>
